xn::ModuleSkeletonInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleSkeletonInterface ()
virtual XnBool | IsJointAvailable (XnSkeletonJoint eJoint)=0
virtual XnBool | IsProfileAvailable (XnSkeletonProfile eProfile)=0
virtual XnStatus | SetSkeletonProfile (XnSkeletonProfile eProfile)=0
virtual XnStatus | SetJointActive (XnSkeletonJoint eJoint, XnBool bState)=0
virtual XnBool | IsJointActive (XnSkeletonJoint eJoint)=0
virtual XnStatus | RegisterToJointConfigurationChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromJointConfigurationChange (XnCallbackHandle hCallback)=0
virtual XnStatus | EnumerateActiveJoints (XnSkeletonJoint *pJoints, XnUInt16 &nJoints)=0
virtual XnStatus | GetSkeletonJoint (XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointTransformation &jointTransformation)=0
virtual XnStatus | GetSkeletonJointPosition (XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointPosition &pJointPosition)=0
virtual XnStatus | GetSkeletonJointOrientation (XnUserID user, XnSkeletonJoint eJoint, XnSkeletonJointOrientation &pJointOrientation)=0
virtual XnBool | IsTracking (XnUserID user)=0
virtual XnBool | IsCalibrated (XnUserID user)=0
virtual XnBool | IsCalibrating (XnUserID user)=0
virtual XnStatus | RequestCalibration (XnUserID user, XnBool bForce)=0
virtual XnStatus | AbortCalibration (XnUserID user)=0
virtual XnStatus | SaveCalibrationDataToFile (XnUserID user, const XnChar *strFileName)=0
virtual XnStatus | LoadCalibrationDataFromFile (XnUserID user, const XnChar *strFileName)=0
virtual XnStatus | SaveCalibrationData (XnUserID user, XnUInt32 nSlot)=0
virtual XnStatus | LoadCalibrationData (XnUserID user, XnUInt32 nSlot)=0
virtual XnStatus | ClearCalibrationData (XnUInt32 nSlot)=0
virtual XnBool | IsCalibrationData (XnUInt32 nSlot)=0
virtual XnStatus | StartTracking (XnUserID user)=0
virtual XnStatus | StopTracking (XnUserID user)=0
virtual XnStatus | Reset (XnUserID user)=0
virtual XnBool | NeedPoseForCalibration ()=0
virtual XnStatus | GetCalibrationPose (XnChar *strPose)=0
virtual XnStatus | SetSmoothing (XnFloat fSmoothingFactor)=0
virtual XnStatus | RegisterCalibrationCallbacks (XnModuleCalibrationStart CalibrationStartCB, XnModuleCalibrationEnd CalibrationEndCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterCalibrationCallbacks (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToCalibrationInProgress (XnModuleCalibrationInProgress CalibrationInProgressCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromCalibrationInProgress (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToCalibrationComplete (XnModuleCalibrationComplete CalibrationCompleteCB, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromCalibrationComplete (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToCalibrationStart (XnModuleCalibrationStart handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromCalibrationStart (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModuleSkeletonInterface()

virtual xn::ModuleSkeletonInterface::~ModuleSkeletonInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## AbortCalibration()

virtual XnStatus xn::ModuleSkeletonInterface::AbortCalibration | ( | XnUserID | user | ) |

pure virtual

## ClearCalibrationData()

virtual XnStatus xn::ModuleSkeletonInterface::ClearCalibrationData | ( | XnUInt32 | nSlot | ) |

pure virtual

## EnumerateActiveJoints()

virtual XnStatus xn::ModuleSkeletonInterface::EnumerateActiveJoints | ( | XnSkeletonJoint * | pJoints,
|  | XnUInt16 & | nJoints )

pure virtual

## GetCalibrationPose()

virtual XnStatus xn::ModuleSkeletonInterface::GetCalibrationPose | ( | XnChar * | strPose | ) |

pure virtual

## GetSkeletonJoint()

virtual XnStatus xn::ModuleSkeletonInterface::GetSkeletonJoint | ( | XnUserID | user,
|  | XnSkeletonJoint | eJoint,
|  | XnSkeletonJointTransformation & | jointTransformation )

pure virtual

## GetSkeletonJointOrientation()

virtual XnStatus xn::ModuleSkeletonInterface::GetSkeletonJointOrientation | ( | XnUserID | user,
|  | XnSkeletonJoint | eJoint,
|  | XnSkeletonJointOrientation & | pJointOrientation )

pure virtual

## GetSkeletonJointPosition()

virtual XnStatus xn::ModuleSkeletonInterface::GetSkeletonJointPosition | ( | XnUserID | user,
|  | XnSkeletonJoint | eJoint,
|  | XnSkeletonJointPosition & | pJointPosition )

pure virtual

## IsCalibrated()

virtual XnBool xn::ModuleSkeletonInterface::IsCalibrated | ( | XnUserID | user | ) |

pure virtual

## IsCalibrating()

virtual XnBool xn::ModuleSkeletonInterface::IsCalibrating | ( | XnUserID | user | ) |

pure virtual

## IsCalibrationData()

virtual XnBool xn::ModuleSkeletonInterface::IsCalibrationData | ( | XnUInt32 | nSlot | ) |

pure virtual

## IsJointActive()

virtual XnBool xn::ModuleSkeletonInterface::IsJointActive | ( | XnSkeletonJoint | eJoint | ) |

pure virtual

## IsJointAvailable()

virtual XnBool xn::ModuleSkeletonInterface::IsJointAvailable | ( | XnSkeletonJoint | eJoint | ) |

pure virtual

## IsProfileAvailable()

virtual XnBool xn::ModuleSkeletonInterface::IsProfileAvailable | ( | XnSkeletonProfile | eProfile | ) |

pure virtual

## IsTracking()

virtual XnBool xn::ModuleSkeletonInterface::IsTracking | ( | XnUserID | user | ) |

pure virtual

## LoadCalibrationData()

virtual XnStatus xn::ModuleSkeletonInterface::LoadCalibrationData | ( | XnUserID | user,
|  | XnUInt32 | nSlot )

pure virtual

## LoadCalibrationDataFromFile()

virtual XnStatus xn::ModuleSkeletonInterface::LoadCalibrationDataFromFile | ( | XnUserID | user,
|  | const XnChar * | strFileName )

pure virtual

## NeedPoseForCalibration()

virtual XnBool xn::ModuleSkeletonInterface::NeedPoseForCalibration | ( |  | ) |

pure virtual

## RegisterCalibrationCallbacks()

virtual XnStatus xn::ModuleSkeletonInterface::RegisterCalibrationCallbacks | ( | XnModuleCalibrationStart | CalibrationStartCB,
|  | XnModuleCalibrationEnd | CalibrationEndCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToCalibrationComplete()

virtual XnStatus xn::ModuleSkeletonInterface::RegisterToCalibrationComplete | ( | XnModuleCalibrationComplete | CalibrationCompleteCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToCalibrationInProgress()

virtual XnStatus xn::ModuleSkeletonInterface::RegisterToCalibrationInProgress | ( | XnModuleCalibrationInProgress | CalibrationInProgressCB,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToCalibrationStart()

virtual XnStatus xn::ModuleSkeletonInterface::RegisterToCalibrationStart | ( | XnModuleCalibrationStart | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RegisterToJointConfigurationChange()

virtual XnStatus xn::ModuleSkeletonInterface::RegisterToJointConfigurationChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## RequestCalibration()

virtual XnStatus xn::ModuleSkeletonInterface::RequestCalibration | ( | XnUserID | user,
|  | XnBool | bForce )

pure virtual

## Reset()

virtual XnStatus xn::ModuleSkeletonInterface::Reset | ( | XnUserID | user | ) |

pure virtual

## SaveCalibrationData()

virtual XnStatus xn::ModuleSkeletonInterface::SaveCalibrationData | ( | XnUserID | user,
|  | XnUInt32 | nSlot )

pure virtual

## SaveCalibrationDataToFile()

virtual XnStatus xn::ModuleSkeletonInterface::SaveCalibrationDataToFile | ( | XnUserID | user,
|  | const XnChar * | strFileName )

pure virtual

## SetJointActive()

virtual XnStatus xn::ModuleSkeletonInterface::SetJointActive | ( | XnSkeletonJoint | eJoint,
|  | XnBool | bState )

pure virtual

## SetSkeletonProfile()

virtual XnStatus xn::ModuleSkeletonInterface::SetSkeletonProfile | ( | XnSkeletonProfile | eProfile | ) |

pure virtual

## SetSmoothing()

virtual XnStatus xn::ModuleSkeletonInterface::SetSmoothing | ( | XnFloat | fSmoothingFactor | ) |

pure virtual

## StartTracking()

virtual XnStatus xn::ModuleSkeletonInterface::StartTracking | ( | XnUserID | user | ) |

pure virtual

## StopTracking()

virtual XnStatus xn::ModuleSkeletonInterface::StopTracking | ( | XnUserID | user | ) |

pure virtual

## UnregisterCalibrationCallbacks()

virtual void xn::ModuleSkeletonInterface::UnregisterCalibrationCallbacks | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromCalibrationComplete()

virtual void xn::ModuleSkeletonInterface::UnregisterFromCalibrationComplete | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromCalibrationInProgress()

virtual void xn::ModuleSkeletonInterface::UnregisterFromCalibrationInProgress | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromCalibrationStart()

virtual void xn::ModuleSkeletonInterface::UnregisterFromCalibrationStart | ( | XnCallbackHandle | hCallback | ) |

pure virtual

## UnregisterFromJointConfigurationChange()

virtual void xn::ModuleSkeletonInterface::UnregisterFromJointConfigurationChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h